' SchreibeDatenbankTabelle.vbs
' Schreiben von Werten in eine Datenbanktabelle
' Autor: Sven@SConrad.de
' verwendet: FSO,ADO
' ===============================
Option Explicit
' Variablen deklarieren
Dim DBConnection
Dim Tabelle
Dim FSO
Dim Datei,TextZeile,Ausgabe,Zaehler,Benutzer

' Konstanten fr Datenzugriffe definieren
Const adOpenDynamic = 2
Const adLockOptimistic = 3
Const ForReading = 1
Const adOpenKeyset = 1

' FSO erstellen
Set FSO=CreateObject("Scripting.FileSystemObject")
' Datei zum Einlesen ffnen
Set Datei = FSO.OpenTextFile("Benutzerliste.csv", ForReading, False)
' Conntection-Objekt erstellen
Set DBConnection = CreateObject("ADODB.Connection")
	' Connection ffnen
	' Die MDB-Datei muss im selben Verzeichnis liegen wie das Skript
	DBConnection.Open "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=.\User.MDB;"
' Recordset-Objekt erstellen
Set Tabelle = CreateObject("ADODB.Recordset")
	' Verwendete Connection festlegen
	Tabelle.ActiveConnection = DBConnection
	' Zugriffsart festlegen
	Tabelle.CursorType = adOpenDynamic
	' Sperrart festlegen
	Tabelle.LockType = adLockOptimistic
	' Verwendete Quelle angeben
	Tabelle.Source="Benutzer2"
	' Tabelle ffnen
	Tabelle.Open
Zaehler=0
' Gesamte Textdatei durchlaufen
While not Datei.AtEndOfStream
	' Erste Zeile berlesen, enthlt die Feldnamen
	if Zaehler=0 then TextZeile=Datei.Readline()
	' Zeilenweise einlesen
	TextZeile=Datei.Readline()
	' Werte trennen
	Benutzer=Split(TextZeile,";")
	' Hinzufgen einer neuen Tabellezeile
	Tabelle.AddNew
	' Spalten mit Werte besetzen
	Tabelle("Benutzername") = Benutzer(0)
	Tabelle("Vorname") = Benutzer(1)
	Tabelle("Nachname") = Benutzer(2)
	Tabelle("Geburtsdatum") = Benutzer(3)
	Tabelle("Abteilungsnummer") = Benutzer(4)
	' nderungen schreiben
	Tabelle.Update
	Zaehler=Zaehler+1
Wend
	'Objekte schliessen
	Tabelle.Close
	DBConnection.Close
	Datei.Close
