' SchreibeExcelDatei.vbs
' Schreiben von Werten in eine Excel-Datei
' Autor: Sven@SConrad.de
' verwendet: Excel, FSO
' ===============================
Option Explicit
' Konstanten definieren
Const ForReading = 1
' Variablen deklarieren
Dim ExcelObjekt
Dim Datei
Dim Zaehler
' FSO erstellen
Set FSO=CreateObject("Scripting.FileSystemObject")
' Datei zum Einlesen ffnen
Set Datei = FSO.OpenTextFile("benutzerliste.csv", ForReading, False)
' Excel-Objekt erzeugen
Set ExcelObjekt = CreateObject("Excel.Application")
' Excel sichtbar machen
ExcelObjekt.Visible = true
' Eine neue Arbeitsmappe hinzufgen
ExcelObjekt.WorkBooks.Add
Zaehler=1
' Gesamte Textdatei durchlaufen
While not Datei.AtEndOfStream
	' Zeilenweise einlesen
	TextZeile=Datei.Readline()
	' Werte trennen
	Benutzer=Split(TextZeile,";")
	' der ersten Zeile stehen die Feldnamen, 
	'diese werden in der Excel-Datei ebenfalls ausgegeben
	ExcelObjekt.Cells(Zaehler,1).Value = Benutzer(0)
	ExcelObjekt.Cells(Zaehler,2).Value = Benutzer(1)
	ExcelObjekt.Cells(Zaehler,3).Value = Benutzer(2)
	ExcelObjekt.Cells(Zaehler,4).Value = Benutzer(3)
	ExcelObjekt.Cells(Zaehler,5).Value = Benutzer(4)
	
	' Zhler erhhen
	Zaehler=Zaehler+1
Wend
' Arbeitsmappe abspeichern
ExcelObjekt.ActiveWorkbook.SaveAs "benutzerliste.xls"
' Excel wieder beenden
ExcelObjekt.Quit
