' XMLDatei_Schreiben.vbs
' Lesen einer CSV-Datei und Ausgabe in ein XML-Dokument
' Autor: Sven@SConrad.de
' verwendet: XML, FSO
' ===============================
Option Explicit
' Konstanten definieren
Const ForReading = 1
' Variablen deklarieren
Dim FSO, Datei, Benutzer
Dim TextZeile
Dim XMLDokument,XMLWurzel,XMLBenutzer,XMLBenutzerliste
Dim XMLBenutzername,XMLVorname,XMLNachname,XMLGeburtsdatum,XMLAbteilungsnummer
'Objekt erzeugen
Set FSO=CreateObject("Scripting.FileSystemObject")
'ffnen der Datei zum Lesen
Set Datei = FSO.OpenTextFile("c:\Benutzerliste.csv", ForReading, False)
' Erzeugen des XML-Dokumentes
Set XMLDokument = CreateObject("Msxml.DOMDocument")
' Erzeugen des Root-Elementes
Set XMLWurzel = XMLDokument.createElement("BENUTZER")
	' Hinzufgen des Root-Elementes zum Dokument
	XMLDokument.appendChild XMLWurzel
	' Erzeugend er Users - Auflistung
	Set XMLBenutzerliste = XMLDokument.createElement("USERS")
		XMLWurzel.appendChild XMLBenutzerliste
' berlesen der Feldnamen
Datei.SkipLine()
'Datei bis zum Ende durchlaufen
while not Datei.AtEndOfStream
	' Erzeugen der User-Collection
	Set XMLBenutzer=XMLDokument.createElement("USER")
		XMLBenutzerliste.appendChild XMLBenutzer
    'Lesen einer Zeile
	TextZeile=Datei.Readline()
	'Zeile an Semikolon trennen und die Werte
	'in einem Array speichern
    Benutzer=Split(TextZeile,";")
	'Ausgabe der Benutzerdaten in ein XML-Dokument
    Set XMLBenutzername = XMLDokument.createElement("BENUTZERNAME")
		XMLBenutzername.Text = Benutzer(0)
		XMLBenutzer.appendChild XMLBenutzername
	Set XMLVorname = XMLDokument.createElement("VORNAME")
		XMLVorname.Text = Benutzer(1)
		XMLBenutzer.appendChild XMLVorname
	Set XMLNachname = XMLDokument.createElement("NACHNAME")
		XMLNachname.Text = Benutzer(2)
		XMLBenutzer.appendChild XMLNachname
	Set XMLGeburtsdatum = XMLDokument.createElement("GEBURTSDATUM")
		XMLGeburtsdatum.Text = Benutzer(3)
		XMLBenutzer.appendChild XMLGeburtsdatum
	Set XMLAbteilungsnummer = XMLDokument.createElement("ABTEILUNGSNUMMER")
		XMLAbteilungsnummer.Text = Benutzer(4)
		XMLBenutzer.appendChild XMLAbteilungsnummer
wend
' XML-Datei speichern
XMLDokument.Save "Benutzer.xml"
'Schliessen der Datei
Datei.Close
