' Dateisicherheit.vbs
' Hinzufgen von ACLs zu einer Datei
' Autor: Sven@SConrad.de
' verwendet: SCRun
' ===============================
Option Explicit
' Konstanten definieren
Const MODIFY 					= &H1301BF
Const OBJECT_INHERIT_ACE        = &H1
Const CONTAINER_INHERIT_ACE     = &H2
Const ACCESS_ALLOWED_ACE_TYPE   = &H0

Const DateiName="beispiel.txt"

' Variablen Deklarieren
Dim FSO, Sec, DACL,ACE,ADsSec

' Erzeugen des FileSystemObjektes
Set FSO = CreateObject("Scripting.FileSystemObject")
if Not FSO.FileExists(DateiName) Then
	' Erzeugen einer Datei
	set Datei=Fso.CreateTextFile(DateiName, True)
	' Eine Zeile in die Datei schreiben
	Datei.WriteLine("Dies ist eine automatisch erzeugte Datei")
	' Datei schliessen
	Datei.Close
end if
' Zuweisen von Rechten fr einen Benutzer
' Erzeugen des AccessControlEntry-Objektes
Set ACE = CreateObject("AccessControlEntry")
' Zuweisen des Benutzernamens
ACE.Trustee	= "Gast"
' Rechte zuweisen
ACE.AccessMask	= MODIFY
ACE.AceFlags	= OBJECT_INHERIT_ACE + CONTAINER_INHERIT_ACE
ACE.AceType	= ACCESS_ALLOWED_ACE_TYPE

' Erzeugen des ADsSecurity-Objektes
Set ADsSec = CreateObject("ADsSecurity")
' Ermitteln der aktuellen Sicherheitsbeschreibung
Set SEC = ADsSec.GetSecurityDescriptor("FILE://" & DateiName)
Set DACL = SEC.DiscretionaryAcl
' Hinzufgen der Rechte
DACL.AddAce(ACE)
SEC.DiscretionaryAcl = DACL
' Sicherheitsbeschreibung wieder zuweisen
ADsSec.SetSecurityDescriptor(SEC)
