' ErzeugeFreigabeMitRechten.vbs
' Rechte auf eine Freigabe vergeben
' Autor: Sven@SConrad.de
' verwendet: WMI, ADSI
' ===============================
Option Explicit
' AccessMasks fr Freigaben
Const SHARE_READ = 1179817
Const SHARE_CHANGE = 1245462
Const SHARE_FULL = 2032127
Const SHARE_NONE = 1

' Deklaration der Variablen
Dim Service, SD_Class, SD, ACE, ACList,User,Trustee,Freigabe,InParameter,OutParameter
Dim Computername,UserName, Sid
' Werte vorbelegen
Computername="."
Username="Gast"
' Bindung
Set Service = GetObject("WINMGMTS:{impersonationLevel=impersonate,(Security)}!\\" & _
Computername & "\ROOT\CIMV2")
' Erzeugung eines neuen SDs
' Neue Instanz von Win32_SecurityDescriptor
Set SD_Class = Service.Get("Win32_SecurityDescriptor")
Set SD = SD_Class.SpawnInstance_()
SD.Properties_.Item("ControlFlags") = 4
' ACEs erzeugen
If UCase(UserName) = "EVERYONE" Then 'Sonderfall Jeder
  Sid = Array(1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0)
Else ' SID via ADSI ermitteln
  Set User = GetObject("WinNT://" & Computername & "/" & UserName)
  Sid = User.Get("ObjectSID")
End If
Set Trustee = _
GetObject("Winmgmts:{impersonationlevel=impersonate}!root/cimv2:Win32_Trustee").SpawnInstance_
Trustee.domain = Computername
Trustee.Name = UserName
Trustee.Properties_.Item("SID") = Sid
Set ACE = _
GetObject("Winmgmts:{impersonationlevel=impersonate}!root/cimv2:Win32_Ace").SpawnInstance_
ACE.Properties_.Item("AccessMask") = SHARE_CHANGE
ACE.Properties_.Item("AceFlags") = 3
ACE.Properties_.Item("AceType") = 0
ACE.Properties_.Item("Trustee") = Trustee
' ACL als Array von ACEs
ACList = Array(ACE)
' ACL an SD zuweisen
SD.Properties_.Item("DACL") = ACList
' Erzeugung der Freigabe
Set Freigabe = Service.Get("Win32_Share")
Set InParameter = _
Freigabe.Methods_("Create").InParameters.SpawnInstance_()
' Attribute setzen
InParameter.Properties_.Item("Name") = "test-freigabe5"
InParameter.Properties_.Item("Path") = "c:\test"
InParameter.Properties_.Item("Type") = 0
InParameter.Properties_.Item("Description") = "Per Skript erzeugt!"
InParameter.Properties_.Item("Access") = SD
InParameter.Properties_.Item("MaximumAllowed") = 10
' Anlegen der Freigabe
Set OutParameter = Freigabe.ExecMethod_("Create", InParameter)
' Ergebnisauswertung
Select Case OutParameter.returnValue
Case 0: WScript.echo "Freigabe wurde angelegt!"
Case 22: WScript.echo "Fehler: Freigabe existierte schon!"
Case Else: WScript.echo "Fehler: #" & OutParameter.returnValue
End Select
