' RechteHinzufuegen.vbs
' Rechte auf ein Verzeichnisses vergeben
' Autor: Sven@SConrad.de
' verwendet: SCRun, ADsSecurity
' ===============================
Option Explicit

Sub RechteHinzufuegen(pfad, Trustee, Mask, Typ, Flags)
Dim SD
Dim ADSSEC
Dim ACL
Dim ACE
wscript.echo "--- Rechte setzen fr " & Trustee
' --- Instanz erzeugen
Set ADSSEC = CreateObject("ADsSecurity")
' --- Security Descriptor holen
Set SD = ADSSEC.GetSecurityDescriptor(CStr(pfad))
' --- Zugriff auf DACL
Set ACL = SD.DiscretionaryAcl
' --- Neuer ACE
Set ACE = CreateObject("AccessControlEntry")
' --- Werte eintragen
ACE.Trustee = Trustee
ACE.accessmask = Mask
ACE.AceType = Typ
ACE.AceFlags = Flags
' --- ACE anfgen
ACL.AddAce ACE
' --- ACL neu sortieren!
SortiereACL ACL
' --- Neuer SD schreiben
ADSSEC.SetSecurityDescriptor SD
wscript.echo "Recht fr " & Trustee & " eingetragen"
End Sub
