' SetzeDateiAttribute.vbs
' Setzen von Dateiattributen
' Autor: Sven@SConrad.de
' verwendet: FSO
' ===============================
Option Explicit
' Deklaration der Variablen
Dim FSO, Datei, Attributwerte
' Konstanten definieren
Const Dateiname="C:\boot.ini"
'Objekt erzeugen
Set FSO = CreateObject("Scripting.FileSystemObject")
' Gibt es die Datei berhaupt?
If FSO.FileExists(Dateiname) Then
  ' Ja, also eine Verbindung herstellen
  Set Datei = FSO.GetFile(Dateiname)
  Attributwerte=HoleAttribute(Datei)
  WScript.Echo "Die Datei " & Dateiname & " hat die Attributwerte [" & Attributwerte & "]"	
  ' Entfernen der Attribute
  Datei.Attributes = Datei.Attributes and not 1 ' Schreibschutz-Flag entfernen
  Datei.Attributes = Datei.Attributes and not 32 ' Archiv-Flag entfernen
  Attributwerte=HoleAttribute(Datei)
Msgbox "Die Datei " & Dateiname & " hat die Attributwerte [" & Attributwerte & "]"	
  Attributwerte=""
  'Setzen der Attribute
  Datei.Attributes = Datei.Attributes or 1 ' Schreibschutz-Flag setzen
  Datei.Attributes = Datei.Attributes or 32' Archiv-Flag setzen
  Datei.Attributes = Datei.Attributes or 4 ' System-Flag setzen
  Attributwerte=HoleAttribute(Datei)
Msgbox "Die Datei " & Dateiname & " hat die Attributwerte [" & Trim(Attributwerte) & "]"
Else
  WScript.Echo "Datei " & Dateiname & " nicht gefunden!"
End If

Private Function HoleAttribute(Handle)
' Hilfsroutine : Aufschlsseln von Dateiattributen
' Deklaration der Variablen
Dim Ausgabe
  ' Normal-Flag gesetzt
  If Datei.attributes and 0 Then  Ausgabe = Ausgabe & "Normal " 
  ' Nur-Lesen-Flag gesetzt
  If Datei.attributes and 1 Then  Ausgabe = Ausgabe & "Nur-Lesen " 
  ' Hidden-Flag gesetzt
  If Datei.attributes and 2 Then  Ausgabe = Ausgabe & "Versteckt " 
  ' System-Flag gesetzt
  If Datei.attributes and 4 Then  Ausgabe = Ausgabe & "System " 
  ' Archiv-Flag gesetzt
  If Datei.attributes and 32 Then  Ausgabe = Ausgabe & "Archiv " 
  ' Alais-Flag gesetzt
  If Datei.attributes and 64 Then  Ausgabe = Ausgabe & "Link "
  ' Kompriemiert-Flag gesetzt
  If Datei.attributes and 128 Then  Ausgabe = Ausgabe & "Komprimiert "
  ' Werte zurckgeben
  HoleAttribute=Trim(Ausgabe)
End Function
