' Speicherplatz.vbs
' Ermitteln des freien Speicherplatzes eines Laufwerkes
' Autor: Sven@SConrad.de
' verwendet: SCRun
' ===============================
Option Explicit
' Deklaration der Variablen
Dim FSO, Laufwerk
Dim Speicher,BelegterSpeicher,FreierSpeicher
Const Laufwerksbezeichnung="C:"
' Objekt referenzieren
Set FSO = CreateObject ("Scripting.FileSystemObject")
' Laufwerk existiert?
if FSO.DriveExists("C:") then
  ' Verbindung aufnehmen
  Set Laufwerk = FSO.GetDrive(Laufwerksbezeichnung)
  ' Laufwerk bereit
  if Laufwerk.isReady then
    ' Freier Speicher
    FreierSpeicher = Laufwerk.FreeSpace
    ' Gesamtspeicher
    Speicher=Laufwerk.TotalSize
    ' Belegung berechnen
    BelegterSpeicher=Speicher-FreierSpeicher
  else
    ' Wenn Laufwerk nicht breit, Speicher=0
    Speicher=0
  End if
  ' Wenn Speicher grsser 0
  if Speicher>0 then
    ' Bytes
    if Speicher<1024 then
      WScript.Echo " Das Laufwerk " & Laufwerksbezeichnung & " enthlt :" & vbcrlf & _
                   " Gesamtspeicher    : " & BerechneSpeicher(Speicher) & vbcrlf & _
                   " Belegten Speicher : " & BerechneSpeicher(BelegterSpeicher) & vbcrlf & _
                   " Freien Speicher   : " & BerechneSpeicher(FreierSpeicher)
    End if
    ' Kilobytes
    if Speicher<1024^2 then 
      WScript.Echo " Das Laufwerk " & Laufwerksbezeichnung & " enthlt :" & vbcrlf & _
                   " Gesamtspeicher    : " & BerechneSpeicher(Speicher) & vbcrlf & _
                   " Belegten Speicher : " & BerechneSpeicher(BelegterSpeicher) & vbcrlf & _
                   " Freien Speicher   : " & BerechneSpeicher(FreierSpeicher)
    end if
    ' Megabyte
    if Speicher<1024^3 then 
      WScript.Echo " Das Laufwerk " & Laufwerksbezeichnung & " enthlt :" & vbcrlf & _
			       " Gesamtspeicher    : " & BerechneSpeicher(Speicher)  & vbcrlf & _
				   " Belegten Speicher : " & BerechneSpeicher(BelegterSpeicher) & vbcrlf & _
				   " Freien Speicher   : " & BerechneSpeicher(FreierSpeicher) & " Megabytes"
    else
    ' sonst Gigabytes
      WScript.Echo " Das Laufwerk " & Laufwerksbezeichnung & " enthlt :" & vbcrlf & _
		           " Gesamtspeicher    : " & BerechneSpeicher(Speicher)  & vbcrlf & _
		           " Belegten Speicher : " & BerechneSpeicher(BelegterSpeicher) & vbcrlf & _
		           " Freien Speicher   : " & BerechneSpeicher(FreierSpeicher)
    end if
  else
    Wscript.echo "Das Laufwerk " & Laufwerk & " ist nicht bereit"
  end if
else
  Wscript.echo "Das Laufwerk " & Laufwerk & " existiert nicht"
end if


Function BerechneSpeicher(RAM)
' Umrechnung von Bytes in andere Gren
' Zahlen werden mit 4 NAchkommastellen geliefert
if RAM<1024 then BerechneSpeicher=FormatNumber(RAM,4) & " Bytes"
if RAM<1024^2 then BerechneSpeicher=FormatNumber(RAM/1024,4) & " Kilobytes"
if RAM<1024^3 then 
  BerechneSpeicher=FormatNumber(RAM/1024^2,4) & " Megabytes"
else
  BerechneSpeicher=FormatNumber(RAM/1024^3,4) & " Gigabytes"
end if
End Function
