' BenutzerAnlegenAusDatenbank.vbs
' Erzeugen von AD-Benutzern aus einer Datenbank
' Autor: Sven@SConrad.de
' verwendet: ADSI, ADO
' ===============================
Option Explicit
' Variablendeklaration
Dim DatenQuelle
Dim DBConnection, SqlString, Ergebnismenge
Dim Container, Benutzer
' Konstanten definieren
Const Verbindung="Provider=Microsoft.Jet.OLEDB.4.0; Data Source=BenutzerDB.MDB;"
' Connection-Objekt erzeugen
Set DBConnection = CreateObject("ADODB.Connection")
' Verbindung ffnen
DBConnection.Open Verbindung
' Alle Benutzer verwenden
SqlString="SELECT * FROM Benutzer"
' SQL-Statement ausfhren
Set Ergebnismenge = DBConnection.Execute(SqlString)
On Error Resume Next
' An den Anfang des Abfrageergebnisses springen
Ergebnismenge.MoveFirst
' Bindung an Container
Set Container = GetObject("LDAP://Finanzamt/OU=WSH-Skripting,DC=SConrad,DC=de")
' Durchlaufe gesamte Datenbasis
Do While Not Ergebnismenge.eof
	' Aufruf der Hilfsroutine
	BenutzerAnlegen Container, Ergebnismenge("Fullname"),Ergebnismenge("Kennwort")	
	' Nchsten Satz aus der Ergebnismenge holen
	Ergebnismenge.MoveNext
Loop
' Schliessen der Abfrage
Ergebnismenge.Close
' Schliessen der Verbindung
DBConnection.Close


Sub BenutzerAnlegen (Container, Benutzername,Passwort)
' Hilfsoutine: Erzeugen eines Benutzerkontos unter Windows 2000
' Variablen deklarieren
Dim Benutzer

' Erzeugung des neuen Benutzers
Set Benutzer = Container.Create("user", "cn=" & Benutzername)
' Attribute setzen
Benutzer.Put "samAccountName", CStr(Benutzername)
' Festschreiben der Werte
Benutzer.SetInfo
' Konto aktivieren
Benutzer.AccountDisabled = False
Benutzer.SetInfo
' Kennwort des Benutzers setzen
Benutzer.SetPassword Passwort
' Meldung ausgeben
WScript.Echo "Benutzer " & Benutzer.AdsPath & " angelegt"
 ' Freigeben der Objekte
End Sub
 