' DeaktiviereKonto.vbs
' Deaktivieren eines Benutzerkontos im Active Directory
' Autor: Sven@SConrad.de
' verwendet: ADSI
' ===============================
Option Explicit
' Variablen deklarieren
Dim Container 
Dim Benutzer
Dim UserAccountData
' Konstanten definieren
Const BenutzerName="WilliRiesig"
Const ADS_UF_ACCOUNTDISABLE = 2
' Zugriff auf das Benutzer-Objekt
Set Benutzer = GetObject("LDAP://Finanzamt/CN=" & BenutzerName & ",OU=WSH-Skripting,DC=SConrad,DC=de")
' Benutzerdaten ermitteln
UserAccountData = Benutzer.Get("userAccountControl")
' Daten ndern
Benutzer.Put "userAccountControl", UserAccountData OR ADS_UF_ACCOUNTDISABLE
' nderungen festschreiben
Benutzer.SetInfo
' Meldung ausgeben
WScript.Echo "Benutzerkonto " & Benutzer.AdsPath & " wurde deaktiviert"
