' ErzeugeContainer.vbs
' Erzeugen einer Organisationseinheit innerhalb einer OU im Active Directory
' Autor: Sven@SConrad.de
' verwendet: ADSI
' ===============================
Option Explicit
' Variablen deklarieren
Dim AlteOrgEinheit, NeueOrgEinheit
' Konstanten definieren
Const ContainerName="UnterEinheit"
' Verweis auf die bestehende OU holen
Set AlteOrgEinheit = GetObject("LDAP://Finanzamt/OU=WSH-Skripting,DC=SConrad,DC=de")
' Neue OU anlegen
Set NeueOrgEinheit = AlteOrgEinheit.Create("organizationalUnit", "OU=" & ContainerName)
' Beschreibung setzen
NeueOrgEinheit.Description = "Dies ist eine Unter-OU"
' Werte festschreiben
NeueOrgEinheit.SetInfo
' Ausgabe
WScript.Echo "OU wurde angelegt:" & NeueOrgEinheit.ADsPath

