' GruppeAnlegen.vbs
' Erzeugen einer Gruppe unter im Active Directory
' Autor: Sven@SConrad.de
' verwendet: ADSI
' ===============================
Option Explicit
' Konstantendefinition
Const ADS_GROUP_TYPE_DOMAIN_LOCAL_GROUP = &H4
Const ADS_GROUP_TYPE_SECURITY_ENABLED = &H80000000
' Variablendeklaration
Dim Gruppe
Dim Domaene
' Konstanten definieren
Const GruppenName="SkriptingGruppe"
' Domain-Objket erzeugen
Set Domaene = GetObject("LDAP://Finanzamt/OU=WSH-Skripting,DC=SConrad,DC=de")
'Erzeugen des Group-Objektes
Set Gruppe = Domaene.Create("group", "CN=" & GruppenName)
' Name fr WinNT 3.51/4.0 Gruppe
Gruppe.Put "samAccountName", GruppenName
' Gruppentyp setzen
Gruppe.Put "groupType", ADS_GROUP_TYPE_DOMAIN_LOCAL_GROUP Or ADS_GROUP_TYPE_SECURITY_ENABLED
' Werte festschreiben
Gruppe.SetInfo
' Ausgabe
WScript.echo "Die Gruppe " & Gruppe.AdsPath & " wurde angelegt."

