' EnumerateDomainsAD.vbs
' Listet alle Benutzer, Gruppen, Rechner und Domnen auf
' Autor: Thomas@Gartner-IT.net
' verwendet: ADSI, ADO
' ===============================

Const ADS_SCOPE_SUBTREE = 2

Set objRootDSE = GetObject("LDAP://rootDSE")
varDomainNC = objRootDSE.Get("defaultNamingContext")

Set objConnection = CreateObject("ADODB.Connection")
Set objCommand =   CreateObject("ADODB.Command")

objConnection.Provider = "ADsDSOObject"
objConnection.Open "Active Directory Provider"

Set objCommand.ActiveConnection = objConnection
objCommand.CommandText = _
    "SELECT Name, Location FROM 'LDAP://" & varDomainNC & "' " &_
        "WHERE objectClass='Computer'"

objCommand.Properties("Page Size") = 1000
objCommand.Properties("Timeout") = 30
objCommand.Properties("Searchscope") = ADS_SCOPE_SUBTREE
objCommand.Properties("Cache Results") = False

Set objRecordSet = objCommand.Execute

objRecordSet.MoveFirst

Do Until objRecordSet.EOF
    Wscript.Echo "Computer Name: " & objRecordSet.Fields("Name").Value
    Wscript.Echo "Standort: " & objRecordSet.Fields("Location").Value
    objRecordSet.MoveNext
Loop
