' Install_Software_XML.vbs
' Installiert Software auf einem entfernten Rechnern
' anhand einer XML-Datei
' Autor: Thomas@Gartner-IT.net
' verwendet: XMLDOM, FSO, WMI, SWbemServices
' ===============================

Dim XMLDoc
Dim SoftInstallNode
Dim objWBemLocator, objConnection, objSoftware
Dim User, Password, Computer, Software, Error

Const User = "Administrator"
Const Password = "babylon5"

' Erzeugen des Verweises
Set xmlDoc = CreateObject("Msxml2.DOMDocument")

' Asynchrones Laden ausschalten
xmlDoc.async = False

' Datei laden
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set ScriptFile = objFSO.GetFile (WScript.ScriptFullName)

Pathname = Replace(Scriptfile.Path, Scriptfile.Name, "")
Filename = Pathname & "SoftInstall.xml"
xmlDoc.load(Filename)

' Knoten-Auflistung auswhlen
Set SoftInstallNode = xmlDoc.selectNodes("*/*")

' Alle Knoten durchlaufen
for i=0 to SoftInstallNode.length-1
    ' Software installieren
    Computer = SoftInstallNode.item(i).childNodes.item(0).Text
    Software = SoftInstallNode.item(i).childNodes.item(1).Text

    Set objWbemLocator = CreateObject("WbemScripting.SWbemLocator")
    Set objConnection = objwbemLocator.ConnectServer _
        (Computer, "root\cimv2", User, _
         Password)

    Set objSoftware = objConnection.Get("Win32_Product")

    Error = objSoftware.Install(Software,,True)

    If Error = 0 Then
        WScript.Echo "Die Installation war erfolgreich."
    Else
        WScript.Echo "Bei der Installation ist " &_
        "folgender Fehler aufgetreten: " & Error
    End If
next

Set SoftInstallNode=Nothing
Set xmlDoc=Nothing


