' GPMC_BackupErstellen.VBS
' Erstellen einer Sicherungskopie eines GPO
' Autor: Dr. Holger Schwichtenberg
' verwendet: GPMC Objects
' ===========================================================

Option Explicit

Dim gpm
Dim objDOMAIN
Dim GPO

' Parameter setzen
Const DOMAIN = "IT-Objects.net"
Const GPOName = "Default Domain Controllers Policy"
Const DIR = "g:\gpmcbackup"

WScript.Echo "Zugriff auf Domain " & DOMAIN

' Zugriff auf das Wurzelobjekt
Set GPM = CreateObject("GPMgmt.GPM")

' Zugriff auf Domne
Set objDOMAIN = GPM.GetDomain(DOMAIN, "", GPM.GetConstants().UseAnyDC)

' Zugriff auf GPO ber Name
Set GPO = GetGPOByName(GPOName)

WScript.echo "Sicherung " & GPO.DisplayName & " " & GPO.ID & " startet..."

GPO.Backup DIR, "Sicherung " & Now

WScript.echo "Sicherung beendet!"



' === Suche eine GPO anhand ihres Namens
Function GetGPOByName(Name)
Dim objGPMSearchCriteria
Dim Liste
' Suchkriterium erzeugen
Set objGPMSearchCriteria = GPM.CreateSearchCriteria()
' Suche nach allen verlinkten SOM	
objGPMSearchCriteria.Add GPM.GetConstants().SearchPropertyGPODisplayName, GPM.GetConstants().SearchOpEquals, Name
' Suche ausfhren
Set Liste = objDOMAIN.SearchGPOs(objGPMSearchCriteria)
Set GetGPOByName = Liste.item(1)
End Function

