' Konvertierungsfunktionen.vbs
' Konvertierungsfunktionen von VBScript
' Autor: Oliver@Scheer-IT.net
' verwendet: 
' =============================== 

On Error Resume Next

' Asc - Konvertierung eines Zeichens in einen ANSI-Wert
WScript.Echo "Asc-Konvertierung von 'A' = " & Asc("A")
WScript.Echo "Asc-Konvertierung von 'Abc' = " & Asc("Abc")
WScript.Echo "Asc-Konvertierung von 'dEF' = " & Asc("dEF")

' CBool - Konvertierung von Bedingungen 
WScript.Echo "CBool-Konvertierung von '5 = 5' = " & CBool(5 = 5)
WScript.Echo "CBool-Konvertierung von '0' = " & CBool(0)
WScript.Echo "CBool-Konvertierung von '1' = " & CBool(1)
WScript.Echo "CBool-Konvertierung von '4 = 5' = " & CBool(4 = 5)

' CByte - Konvertierung einer Zeichenfolgen in einen Byte-Wert
WScript.Echo "CByte-Konvertierung von '123' = " & CByte("123")
WScript.Echo "CByte-Konvertierung von 'ABC' = " & CByte("ABC")
If Err.Number<>0 Then 
	WScript.Echo "Es ist ein Fehler bei dieser Konvertierung aufgetreten"
	Err.Clear()
End If

' CCur - Konvertierung einer Zeichenfolge in einen Whrungsbetrag
WScript.Echo "CCur-Konvertierung von '12,34' = " & CCur("12,34")
WScript.Echo "CCur-Konvertierung von '4.321,99' = " & CCur("4.321,99")

' CDate - Konvertierung einer Zeichenfolge in einen Datumswert
WScript.Echo "CDate-Konvertierung von '11.4.1975' = " & CDate("11.4.1975")
WScript.Echo "CDate-Konvertierung von '31.7.02' = " & CDate("31.7.02")

' CDbl - Konvertierung einer Zeichenfolge in einen Doublewert
WScript.Echo "CDbl-Konvertierung von '55,43' = " & CDbl("55,43")
WScript.Echo "CDbl-Konvertierung von '2312,32323' = " & CDbl("2312,32323")

' Chr - Konvertierung einer Zeichenfolge in einen Zeichens
WScript.Echo "Chr-Konvertierung von '65' = " & Chr(65)
WScript.Echo "Chr-Konvertierung von '123' = " & Chr(123)

' CInt - Konvertierung einer Zeichenfolge in einen Doublewert
WScript.Echo "CInt-Konvertierung von '65' = " & CInt("65")
WScript.Echo "CInt-Konvertierung von '123,2323' = " & CInt("123,2323")
WScript.Echo "CInt-Konvertierung von '12a' = " & CInt("12a")
If Err.Number<>0 Then 
	WScript.Echo "Es ist ein Fehler bei dieser Konvertierung aufgetreten"
	Err.Clear()
End If

' CLng - Konvertierung einer Zeichenfolge in einen Longwert
WScript.Echo "CLng-Konvertierung von '65' = " & CLng("65")
WScript.Echo "CLng-Konvertierung von '123' = " & CLng("123")

' CSng - Konvertierung einer Zeichenfolge in einen Singlewert
WScript.Echo "CSng-Konvertierung von '65' = " & CSng("65")
WScript.Echo "CSng-Konvertierung von '123' = " & CSng("123")

' CStr - Konvertierung einer Zeichenfolge in einen Stringwert
WScript.Echo "CStr-Konvertierung von '65' = " & CStr("65")
WScript.Echo "CStr-Konvertierung von '123' = " & CStr("123")

' Hex - Konvertierung einer Zeichenfolge in einen Hexwert
WScript.Echo "Hex-Konvertierung von '65' = " & Hex("65")
WScript.Echo "Hex-Konvertierung von '123' = " & Hex("123")

' Oct - Konvertierung einer Zeichenfolge in einen Hexwert
WScript.Echo "Oct-Konvertierung von '65' = " & Oct("65")
WScript.Echo "Oct-Konvertierung von '123' = " & Oct("123")

