' INIDatei_Schreiben.vbs
' Schreiben in eine Ini-Datei
' Verwendet: FSO
' ===============================
Option Explicit

' Variablen deklarieren
Dim FSO, IniDatei, TempDatei
Dim temp, TempFolder
Dim Zeile,AlterEintrag
Dim SektionGefunden
'Konstanten deklarieren
Const ForReading = 1
Const ForWriting = 2
Const Dateiname="g:\test\ITVisions.ini"
Const Eintrag="Website"
Const Inhalt="www.IT-Visions.de"
Const Sektion="Internet"
' -- Werte vorbelegen
AlterEintrag=False
SektionGefunden=False
' Erzeugen des FSO-Objektes
Set FSO = CreateObject("Scripting.FileSystemObject")  
' Ini-Datei ffnen
Set IniDatei = FSO.OpenTextFile(Dateiname, ForReading)
' Temporren Dateinamen erzeugen
temp = FSO.GetTempName
' Ermitteln des Temp-Verzeichnisses
TempFolder=FSO.GetSpecialFolder(2)
' Erzeugen der temporren Datei und gleichzeitiges ffnen
Set TempDatei = FSO.CreateTextFile(TempFolder & "\" & temp, True)
' Solange das Ende der Datei nicht erreicht ist
Do While Not IniDatei.AtEndOfStream
  ' Zeilenweise einlesen
  Zeile=IniDatei.Readline
  ' Sektions beginn suchen
  If Left(Zeile,1)="[" Then
    If InStr(UCase(Zeile), "[" + UCase(Sektion) + "]") > 0 Then
      ' Ja
      SektionGefunden=True
    Else
      ' Nein
	  SektionGefunden=False
    End If
  Else
    If SektionGefunden Then
      If UCase(Left(Zeile,Len(Eintrag)))=UCase(Eintrag) Then
        ' Eintrag gefunden
        ' Neuen Eintrag in Variable schreiben
        Zeile=Eintrag & "=" & Inhalt
        ' Merker setzen
        AlterEintrag=True
      End If
    End If
  End If
  ' Zeile in temp. Datei schreiben
  TempDatei.Writeline(Zeile)
Loop
' Wenn es ein neuer Eintrag ist, dann Sektion und Eintrag schreiben
If Not AlterEintrag Then
  If Sektion <> "" Then TempDatei.Writeline("[" + Sektion + "]")
  TempDatei.Writeline(Eintrag + " =" + Inhalt)
End If

' Temporre Datei schlieen
TempDatei.Close
' IniDatei schlieen
IniDatei.Close  

' Temporre Datei kopieren und alte Datei berschreiben
FSO.CopyFile TempFolder & "\" & temp,Dateiname,True
' Temporre Datei lschen
FSO.DeleteFile TempFolder & "\" & temp, True

WScript.Echo "Neue INI-Datei wurde erzeugt!"