' KopiereNeueDateien
' (C) Holger Schwichtenberg
' 2005
' ------------------------------------------

Option Explicit

Const STARTDATUM = "24.6.2005 09:00"
Const ZIEL = "c:\test"
Const QuellE = "c:\Skripte"

ListeOrdner QuellE

' === Rekursive Suche nach neuen Dateien
Sub ListeOrdner(StartVerzeichnis)
' Deklaration der Variablen
Dim FSO, Verzeichnis, Unterverzeichnis, Datei
' FSO-Objekt erstellen
Set FSO = CreateObject("Scripting.FileSystemObject")
' Referenz auf Verzeichnis holen
Set Verzeichnis = FSO.GetFolder(StartVerzeichnis)

' --- Schleife ber die Dateien
For Each Datei In Verzeichnis.Files

	If DateDiff("s", Datei.DateLastModified,STARTDATUM) < 0 Then
		' Zielordner errechnen
		Dim RELPFAD, ZIELORDNER
		RELPFAD = Replace(LCase(Verzeichnis.Path),LCase(QuellE),"")
		ZIELORDNER = ZIEL & RELPFAD
		WScript.echo Datei.Path & " (" & Datei.DateLastModified & ") wird kopiert nach: " + ZIELORDNER
		If Not FSO.FolderExists(ZIELORDNER) Then
			FSO.CreateFolder ZIELORDNER
		End If
		FSO.CopyFile Datei.path, ZIELORDNER & "\" & Datei.name
	End If
Next
' --- Unterordner in Suche einbeziehen
For Each Unterverzeichnis In Verzeichnis.SubFolders
    ListeOrdner Unterverzeichnis.Path
Next
End Sub
