' ListeLaufwerke.vbs
' Auflisten aller Laufwerke eines Computers
' Autor: Sven@SConrad.de
' verwendet: SCRun
' ===============================
Option Explicit
' Deklaration der Variablen
Dim FSO, Laufwerk
' FSO-Objekt erstellen
Set FSO = CreateObject("Scripting.FileSystemObject")
' Alle Laufwerke durchlaufen
For Each Laufwerk In FSO.Drives
  WScript.Echo "Laufwerksbuchstabe: " & Laufwerk.DriveLetter
  WScript.Echo "Laufwerkstyp: " & Laufwerk.DriveType
  WScript.Echo "Freigabename: " & Laufwerk.ShareName
  WScript.Echo "Pfad: " & Laufwerk.Path
  ' Wenn ein Datentrger im Laufwerk ist, dann knnen diese
  ' Attribute zustzlich ausgegeben werden
  If Laufwerk.IsReady Then
    WScript.Echo "IsReady: " & Laufwerk.IsReady
    WScript.Echo "Seriennummer: " & Laufwerk.SerialNumber
    WScript.Echo "Dateiystem: " & Laufwerk.FileSystem
    WScript.Echo "Volumename: " & Laufwerk.VolumeName
    WScript.Echo "--- Mediengre"
    WScript.Echo "Gesamtgre: " & Laufwerk.TotalSize
    WScript.Echo "Freier Speicher: " & Laufwerk.FreeSpace
    WScript.Echo "Verfgbarer Speicher: " & Laufwerk.AvailableSpace
   End If
Next
