' VerzeichnisAttribute.vbs
' Attribute eines Verzeichnisses
' Autor: Sven@SConrad.de
' verwendet: SCRun
' ===============================
Option Explicit
' Deklaration der Variablen
Dim FSO, Verzeichnis
' Konstanten definieren
Const VerzeichnisName="INetPub"
'Objekt erzeugen
Set FSO = CreateObject("Scripting.FileSystemObject")
' Gibt es das Verzeichnis berhaupt?
if FSO.FolderExists(VerzeichnisName) then
	' Ja, also eine Verbindung herstellen
	Set Verzeichnis = FSO.GetFolder(VerzeichnisName)
	WScript.Echo "Typ des Objektes       : " & Verzeichnis.Type
	Wscript.Echo "Elternverzeichnis      : " & Verzeichnis.ParentFolder
	Wscript.Echo "ShortName              : " & Verzeichnis.ShortName
	WScript.Echo "Erstellt am            : " & Verzeichnis.DateCreated
	WScript.Echo "Gendert am            : " & Verzeichnis.DateLastModified 
	WScript.Echo "Letzter Zugriff        : " & Verzeichnis.DateLastAccessed 
	WScript.Echo "Attribute des Objektes : " & Verzeichnis.Attributes
	Wscript.Echo "-----------------------"
	If Verzeichnis.Attributes AND 2 Then
	 Wscript.Echo "Versteckter Ordner"
	End if
	If Verzeichnis.Attributes AND 4 Then
	 Wscript.Echo "Systemordner"
	End if
	If Verzeichnis.Attributes AND 16 Then
	 Wscript.Echo "Ordner"
	End if
	If Verzeichnis.Attributes AND 32 Then
	 Wscript.Echo "Archive Bit gesetzt"
	End if
	If Verzeichnis.Attributes AND 2048 Then
	 Wscript.Echo "Komprimierter Ordner"
	End if
else
	WScript.Echo "Verzeichnis " & VerzeichnisName & " nicht gefunden!"
end if
