' DeaktiviereKonto.vbs
' Deaktivieren eines Benutzerkontos im Active Directory
' Autor: Sven@SConrad.de
' verwendet: ADSI
' ===============================
Option Explicit
' Variablen deklarieren
Dim Container 
Dim Benutzer
Dim UserAccountData
' Konstante delarieren
Const ADS_UF_ACCOUNTDISABLE = 4
' Zugriff auf das Benutzer-Objekt
Set Benutzer = GetObject("LDAP://Finanzamt/CN=HugoHastig, cn=users,DC=SConrad,DC=de")
' Benutzerdaten ermitteln
UserAccountData = Benutzer.Get("userAccountControl")
' Daten ndern
Benutzer.Put "userAccountControl", UserAccountData AND ADS_UF_ACCOUNTDISABLE
' nderungen festschreiben
Benutzer.SetInfo
' Meldung ausgeben
WScript.Echo "Benutzerkonto " & Benutzer.AdsPath & " wurde deaktiviert"
