' GruppeAnlegen.vbs
' Anlegen einer lokalen Gruppe unter Windows NT
' Autor: Holger@Schwichtenberg.de
' verwendet: ADSI
' ===============================

Option Explicit
' Variablen deklarieren
Dim Domaene
Dim Gruppe

' Konstanten definieren
Const GRUPPENNAME = "Finanzbeamte"
' Name des Containers, in dem Benutzer angelegt werden soll
Const CONTAINERNAME = "E60" ' Computername oder Domnenname

' Zugriff auf Domain-Objekt
Set Domaene = GetObject("WinNT://" & CONTAINERNAME)
' Erzeugen der Gruppe
Set Gruppe = Domaene.Create("group", GRUPPENNAME)
' Gruppentp setzen
' 4 = Lokale Gruppe, 2= Globale Gruppe
Gruppe.Put "Grouptype", 4
' Beschreibungstext setzen
Gruppe.Description = "Gruppe der Finanzbeamten"
' Festschreiben der nderungen
Gruppe.SetInfo
' Meldung ausgeben 
WScript.Echo "Gruppe " & GRUPPENNAME & " wurde angelegt!"
