' CreateCompAccount.vbs
' Fgt ein Computerkonto zur Domne hinzu
' Autor: Thomas@Gartner-IT.net
' verwendet: ADSI
' ===============================

Dim Computer
Dim objRootDSE, objContainer, objComputer

Const ADS_UF_PASSWD_NOTREQD            = &h0020
Const ADS_UF_WORKSTATION_TRUST_ACCOUNT = &h1000

Computer = "WORKSTATION"

Set objRootDSE = GetObject("LDAP://rootDSE")
Set objContainer = GetObject("LDAP://cn=Computers," & _
     objRootDSE.Get("defaultNamingContext"))

Set objComputer = objContainer.Create("Computer", "cn=" & Computer)
objComputer.Put "sAMAccountName", Computer & "$"
objComputer.Put "userAccountControl", _
    ADS_UF_PASSWD_NOTREQD Or ADS_UF_WORKSTATION_TRUST_ACCOUNT
objComputer.SetInfo
