Option Explicit

' AnalyseEvents.vbs
' Ermittelt aus dem Anwendungsprotokoll Ereignisse,
' die bestimmten Kriterien entsprechen
' Autor: Thomas@Gartner-IT.net
' verwendet: WMI
' ===============================

Const EVENT_ERROR = 1
Const EVENT_WARNING = 2
Const EVENT_INFORMATION = 3
Const EVENT_SUCCESSAUDIT = 4
Const EVENT_FAILUREAUDIT = 5

Const Source = "WSH"
Const LogName = "Application"
Const MessageSeperator = ": "

Dim objWMIService, colLoggedEvents, objEvent
Dim Computer, SourceScriptName, EventType, SeperatorPosition

Computer = "."
SourceScriptName = "AddEvent.vbs"
EventType = EVENT_ERROR

Set objWMIService = GetObject("winmgmts:" &_
    "{impersonationLevel=impersonate}!\\" & Computer &_
    "\root\cimv2")

Set colLoggedEvents = objWMIService.ExecQuery _
    ("SELECT * FROM Win32_NTLogEvent WHERE " &_
    "Logfile = '" & LogName & "' AND " &_
    "SourceName='" & Source & "' AND " &_
    "EventType=" & EventType)

Wscript.Echo "Das Skript '" & SourceScriptName & "' lieferte folgende Ereignisse:"

For Each objEvent in colLoggedEvents
    SeperatorPosition = InStr(objEvent.Message, MessageSeperator)
    If LCase(Left(objEvent.Message, _
        SeperatorPosition - 1)) _
        = LCase(SourceScriptName) Then

        Wscript.Echo "  Datum/Zeit: " & objEvent.TimeWritten
        Wscript.Echo "  Meldung:    " & Mid(objEvent.Message, SeperatorPosition + Len(MessageSeperator))
        Wscript.Echo ""
    End If
Next
