' CreateLinks.vbs
' Erzeugt Verknpfungen im Startmen des Benutzers
' Autor: Thomas@Gartner-IT.net
' verwendet: WScript, FSO
' ===============================

Dim WshShell, objFSO
Dim strProgramsMenu, FolderName

Set WshShell = WScript.CreateObject("WScript.Shell")
Set objFSO = CreateObject("Scripting.FileSystemObject")

FolderName = WshShell.SpecialFolders("AllUsersPrograms") & _
    "\WSL - Windows Scriping Lernen"

If objFSO.FolderExists(FolderName) Then

    Set ScriptFile = objFSO.GetFile (WScript.ScriptFullName)
    Pathname = Replace(Scriptfile.Path, Scriptfile.Name, "")

    Set objFolder = objFSO.GetFolder(Pathname)

    For Each objFile In objFolder.Files
        FileExtension = Right(objFile.Name, Len(objFile.Name) - _
            InStrRev(objFile.Name, "."))

        If LCase("vbs") = LCase(FileExtension) Then
            set oShellLink = WshShell.CreateShortcut(FolderName & _
                "\" & objFile.Name & ".lnk")
            oShellLink.TargetPath = objFile.Path
            oShellLink.WindowStyle = 1
            oShellLink.Hotkey = ""
            oShellLink.IconLocation = "notepad.exe, 0"
            oShellLink.Description = objFile.Name
            oShellLink.WorkingDirectory = objFolder.Path
            oShellLink.Save

            WScript.Echo "Verweis zur Datei: '" & _
                objFile.Name & "' wurde erzeugt."
         End If
    Next
Else
    WScript.Echo "Bitte fhren Sie zuerst das Skript " & _
        "'CreateStartMenuFolder.vbs' aus"
End If
