' RegReadWMI.vbs
' Registrierungsschlssel mit Hilfe von WMI auslesen
' Autor: Thomas@Gartner-IT.net
' verwendet: WMI
' ===============================
Const HKEY_CLASSES_ROOT = &H80000000
Const HKEY_CURRENT_USER = &H80000001
Const HKEY_LOCAL_MACHINE = &H80000002
Const HKEY_USERS = &H80000003
Const HKEY_CURRENT_CONFIG = &H80000005
Const HKEY_DYN_DATA = &H80000006

Const COMPUTER = "."

Dim KeyPath, ValueName, Value, ValueArray
Dim objReg

Set objReg = _
    GetObject("WinMgmts:\\" &_
    COMPUTER & "\root\default:StdRegProv")

KeyPath = "SOFTWARE\Microsoft\Windows Script Host\Settings"
ValueName = "DisplayLogo"
objReg.GetStringValue HKEY_LOCAL_MACHINE, KeyPath, _
    ValueName, Value
WScript.Echo "Anzeige des Logos: " & Value

KeyPath = "Console"
ValueName = "HistoryBufferSize"
objReg.GetDWORDValue HKEY_CURRENT_USER, KeyPath, _
    ValueName, Value
WScript.Echo "Befehlsspeicher: " & Value

KeyPath = "SOFTWARE\Microsoft\Windows NT\CurrentVersion"
ValueName = "DigitalProductId"
objReg.GetBinaryValue HKEY_LOCAL_MACHINE, KeyPath, _
    ValueName, Value

For i = lBound(Value) to uBound(Value)
    WScript.Echo Value(i)
Next

KeyPath = "SOFTWARE\Microsoft\Windows NT\CurrentVersion\ProfileList"
ValueName = "ProfilesDirectory"
objReg.GetExpandedStringValue HKEY_LOCAL_MACHINE, KeyPath, _
    ValueName, Value
WScript.Echo "Profilverzeichnis: " & Value

KeyPath = "SYSTEM\CurrentControlSet\Services\Eventlog\System"
ValueName = "Sources"
objReg.GetMultiStringValue HKEY_LOCAL_MACHINE, KeyPath, _
    ValueName, ValueArray

For Each Value In ValueArray
    WScript.Echo Value
Next
