' Install_Software_XML_Login.vbs
' Installiert Software auf einem entfernten Rechner
' anhand einer XML-Datei
' Autor: Thomas@Gartner-IT.net
' verwendet: MSXML, FSO, WMI
' ===============================

Dim XMLDoc
Dim SoftInstallNode
Dim objWBemLocator, objConnection, objSoftware
Dim User, Password, Computer, Software, Error

' Erzeugen des Verweises
Set xmlDoc = CreateObject("Msxml2.DOMDocument")

' Asynchrones Laden ausschalten
xmlDoc.async = False

' Datei laden
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set ScriptFile = objFSO.GetFile (WScript.ScriptFullName)

Pathname = Replace(Scriptfile.Path, Scriptfile.Name, "")
Filename = Pathname & "SoftInstallLogin.xml"
xmlDoc.load(Filename)

' Knoten-Auflistung auswhlen
Set SoftInstallNode = xmlDoc.selectNodes("*/*")

' Alle Knoten durchlaufen
for i=0 to SoftInstallNode.length-1
    ' Software installieren
    Computer = SoftInstallNode.item(i).childNodes.item(0).Text
    Software = SoftInstallNode.item(i).childNodes.item(1).Text
    User = SoftInstallNode.item(i).childNodes.item(2).Text
    Password = SoftInstallNode.item(i).childNodes.item(3).Text

    Set objWbemLocator = CreateObject("WbemScripting.SWbemLocator")
    Set objConnection = objwbemLocator.ConnectServer _
        (Computer, "root\cimv2", User, Password)

    Set objSoftware = objConnection.Get("Win32_Product")

    Error = objSoftware.Install(Software,,True)

    If Error = 0 Then
        WScript.Echo "Die Installation war erfolgreich."
    Else
        WScript.Echo "Bei der Installation ist " &_
        "folgender Fehler aufgetreten: " & Error
    End If
next
Set SoftInstallNode=Nothing
Set xmlDoc=Nothing
