' Skriptname: Software_inventar2.vbs
' Dieses Skript erstellt eine Liste der installierten Software 
' Verwendet: ScrRun, WMI
' ------------------------------------------

Dim objFSO, objTextFile, colSoftware
Dim Computer, Filename

Set objFSO = CreateObject("Scripting.FileSystemObject")

Set ScriptFile = objFSO.GetFile (WScript.ScriptFullName)
Pathname = Replace(Scriptfile.Path, Scriptfile.Name, "")
Filename = Pathname & "software.csv"

WScript.Echo "Die Auflistung erfolgt in der Datei: " &_
    vbCrLf & Filename &vbCrLf

Set objTextFile = objFSO.CreateTextFile(Filename, True)

Computer = "."
Set objWMIService = GetObject("winmgmts:" &_
    "{impersonationLevel=impersonate}!\\" & Computer &_
    "\root\cimv2")

Set colSoftware = objWMIService.ExecQuery _
    ("SELECT * FROM Win32_Product")

WScript.Echo "Der Inventarisierungsvorgang beginnt."

objTextFile.WriteLine "berschrift" & vbTab & _
    "Beschreibung" & vbTab & _
    "Identifikationsnummer" & vbTab & _
    "Installationsdatum" & vbTab & _
    "Installationsverzeichnis" & vbTab & _
    "Zustand der Installation" & vbTab & _
    "Name" & vbTab & _
    "Paketzwischenspeicher" & vbTab & _
    "SKU Nummer" & vbTab & _
    "Hersteller" & vbTab & _
    "Version"

For Each objSoftware in colSoftware
    objTextFile.WriteLine objSoftware.Caption & vbTab & _
    objSoftware.Description & vbTab & _
    objSoftware.IdentifyingNumber & vbTab & _
    objSoftware.InstallDate & vbTab & _
    objSoftware.InstallLocation & vbTab & _
    objSoftware.InstallState & vbTab & _
    objSoftware.Name & vbTab & _
    objSoftware.PackageCache & vbTab & _
    objSoftware.SKUNumber & vbTab & _
    objSoftware.Vendor & vbTab & _
    objSoftware.Version
Next

objTextFile.Close

WScript.Echo "Der Inventarisierungsvorgang ist beendet."
