' DienstStarten_Impersonifiziert_KennwortEinlesen.vbs
' Start eines Dienstes 
' unter Nutzung des Impersonfifizierungsmodus von WMI
' und Einlesen des Kennworts fr den zu 
' impersonifizierenden Nutzer von der Kommandozeile
' Autor: Dr. Holger Schwichtenberg
' verwendet: WMI, ScriptPW-Komponente
' ===============================

Option Explicit

' Variablen deklarieren
Dim objPW, WMIService, WMILocator
Dim KennwortDesAdmins
Dim DienstListe, Dienst

' Konstanten definieren
Const NameDesAdmins = "ito\administrator"
Const Computer = "Essen" 
Const Namespace = "root\CIMV2"
Const ServiceName = "wuauserv" ' Windows Update-Dienst

WScript.echo "Skript zum Start eines Dienstes"

' Kennwort einlesen
Set objPW = CreateObject("ScriptPW.Password")
WScript.echo  "Bitte geben Sie das Kennwort ein: (Die eingegebenen Tasten werden nicht angezeigt. Beenden Sie die Eingabe mit RETURN)"
KennwortDesAdmins = objPW.GetPassword()
WScript.echo Chr(13)

' %%% Bindung an Container mit Impersonifizierung
' Unspezifisches WMI-Objekt erzeugen
Set WMILocator = CreateObject("WbemScripting.SWbemLocator")
Set WMIService = WMILocator.ConnectServer(Computer, namespace, NameDesAdmins, KennwortDesAdmins)

' %%% Bindung an Container ohne Impersonifizierung
' Set objWMIService = GetObject("winmgmts:" &_
'    "{impersonationLevel=impersonate}!\\" & Computer &_
'    Namespace)

Set DienstListe = WMIService.ExecQuery _
    ("SELECT * FROM Win32_Service WHERE Name=""" & ServiceName & """")

For Each Dienst In DienstListe
    Dienst.StartService()
Next

If  Err.Number <> 0 Then
    WScript.Echo "Beim Starten des Dienstes ist ein Fehler" &_
        "aufgetreten: " & Err.Number
Else
    WScript.Echo "Das Starten des Dienstes war erfolgreich."
End If
